/*
* @license Apache-2.0
*
* Copyright (c) 2019 The Stdlib Authors.
*
* Licensed under the Apache License, Version 2.0 (the "License");
* you may not use this file except in compliance with the License.
* You may obtain a copy of the License at
*
*    http://www.apache.org/licenses/LICENSE-2.0
*
* Unless required by applicable law or agreed to in writing, software
* distributed under the License is distributed on an "AS IS" BASIS,
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
* See the License for the specific language governing permissions and
* limitations under the License.
*/

// TypeScript Version: 2.0

/**
* Convert a double-precision floating-point number to the nearest single-precision floating-point number.
*
* @param x - double-precision floating-point number
* @returns nearest single-precision floating-point number
*
* @example
* var float64ToFloat32 = require( `@stdlib/number/float64/base/to-float32` );
*
* var y = float64ToFloat32( 1.337 );
* // returns 1.3370000123977661
*/
declare function float64ToFloat32( x: number ): number;


// EXPORTS //

export = float64ToFloat32;
